> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Face Detection Jobs

> List all face detection jobs



## OpenAPI

````yaml GET /face-detect
openapi: 3.0.0
info:
  title: Cloudglue API
  description: API for Cloudglue
  license:
    name: Apache License 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 0.7.13
servers:
  - url: https://api.cloudglue.dev/v1
security:
  - bearerAuth: []
paths:
  /face-detect:
    get:
      tags:
        - Face Detection
      summary: List face detection jobs
      description: List all face detection jobs
      operationId: listFaceDetection
      parameters:
        - name: limit
          in: query
          description: Number of face detection jobs to return
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
        - name: offset
          in: query
          description: Offset from the start of the face detection jobs list
          required: false
          schema:
            type: integer
            minimum: 0
        - name: created_before
          in: query
          description: >-
            Filter face detection jobs created before a specific date
            (YYYY-MM-DD format), in UTC timezone
          required: false
          schema:
            type: string
            format: date
        - name: created_after
          in: query
          description: >-
            Filter face detection jobs created after a specific date (YYYY-MM-DD
            format), in UTC timezone
          required: false
          schema:
            type: string
            format: date
        - name: status
          in: query
          description: Filter by status
          required: false
          schema:
            type: string
            enum:
              - pending
              - processing
              - completed
              - failed
      responses:
        '200':
          description: Face detection jobs retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FaceDetectionListResponse'
components:
  schemas:
    FaceDetectionListResponse:
      allOf:
        - $ref: '#/components/schemas/PaginationResponse'
        - properties:
            data:
              type: array
              items:
                type: object
                required:
                  - job_id
                  - status
                  - created_at
                properties:
                  job_id:
                    type: string
                    format: uuid
                    description: Unique identifier for the face detection job
                  frame_extraction_id:
                    type: string
                    format: uuid
                    description: ID of the frame extraction used
                  file_id:
                    type: string
                    format: uuid
                    description: ID of the target file
                  status:
                    type: string
                    enum:
                      - pending
                      - processing
                      - completed
                      - failed
                    description: Status of the face detection job
                  created_at:
                    type: number
                    description: Unix timestamp in milliseconds when the job was created
                  total_faces:
                    type: integer
                    description: Total number of faces detected
    PaginationResponse:
      type: object
      required:
        - object
        - total
        - limit
        - offset
      properties:
        object:
          type: string
          enum:
            - list
          description: Object type, always 'list'
        total:
          type: integer
          description: The total number of items
        limit:
          type: integer
          description: The number of items per page
        offset:
          type: integer
          description: The offset of the items
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````